Skip to main content
GET
/
core
/
api-log
/
{logId}
Get API Log
curl --request GET \
  --url https://api.integrations.commenda.io/v4/core/api-log/{logId} \
  --header 'api_key: <api-key>'
{
  "request_id": "<string>",
  "data": {
    "apiLog": {
      "id": "<string>",
      "requestId": "<string>",
      "method": "<string>",
      "url": "<string>",
      "statusCode": 123,
      "apiStatus": "<string>",
      "responseTime": 123,
      "logType": "<string>",
      "companyId": 123,
      "errorCode": "<string>",
      "jobId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "host": "<string>",
      "traceHeader": "<string>",
      "request": {
        "headers": {},
        "body": "<unknown>",
        "query": {},
        "params": {}
      },
      "response": {
        "body": "<unknown>",
        "statusCode": 123
      },
      "job": {
        "jobId": "<string>",
        "jobType": "<string>",
        "status": "<string>",
        "error": "<unknown>",
        "errorCode": "<string>",
        "startTime": "2023-11-07T05:31:56Z",
        "endTime": "2023-11-07T05:31:56Z",
        "responseLength": 123
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt

Use this file to discover all available pages before exploring further.

Get API Log.

Authorizations

api_key
string
header
required

Path Parameters

logId
string
required

Response

API log detail.

request_id
string
required
data
V4GetApiLogResponse · object
required